#banner {
    width: 100%;
    height : 350px;
    background-image: url("../Media/Images/truck-banner-mobile.jpg");
    background-position: 100% 0%;
    background-size: cover;
}

#shader {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
}

#banner h1 {
    color: white;
    font-size: 2rem;
    text-shadow: 0px 0px 5px #424242;
    font-family: "DMSerifText";
    text-align: center;
}

#about-content-container {
    display: flex;
    justify-content: center;
    flex-direction: column-reverse;
    position: relative;
    left: 50%;
    transform: translate(-50%);
    width: calc(100% - 40px);
    max-width: 1200px;
    padding: 40px 20px;
}

#about-content-container h2 {
    border-bottom: 4px solid #A82428;
    margin-bottom: 20px;
    padding-bottom: 5px;
    font-size: 32px;
    text-align: center;
}

#about-content-container p {
    line-height: 1.5;
    font-size: 20px;
    text-align: center;
}

#highlights {
    display: grid;
    grid-template-columns: 100%;
    row-gap: 15px;
    width: 100%;
    margin-top: 20px;
}

#highlights div {
    width: calc(100% - 20px);
    text-align: center;
    padding: 10px;
    box-shadow: 0px 0px 5px #424242;
    background-color: #A82428;
    color: white;
}

#highlights div svg {
    vertical-align: -4px;
}

#about-content-container img {
    position: relative;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    max-width: 400px;
    height: auto;
    box-shadow: 0px 0px 5px #424242;
    margin-bottom: 20px;
    border-radius: 10px;
}

/* #region Fonts */

@font-face {
    font-family: "DMSerifText";
    src: url("../Media/Fonts/DMSerifText-Regular.ttf") format("truetype");
    font-display: swap;
}

/* #endregion */

/* #region Media Queries */

@media screen and (min-width: 435px){

    #banner {
        background-image: url("../Media/Images/truck-banner-tablet.jpg");
    }

}

@media screen and (min-width: 580px){

    #banner h1 {
        font-size: 3rem;
    }

}

@media screen and (min-width: 600px){

    #highlights {
        width: calc(100% - 15px);
        grid-template-columns: 50% 50%;
        column-gap: 15px;
    }

}

@media screen and (min-width: 767px){

    #banner {
        background-image: url("../Media/Images/truck-banner-desktop.webp");
    }

}

@media screen and (min-width: 1020px){

    #about-content-container {
        justify-content: space-between;
        flex-direction: row;
    }

    #about-content-container img {
        left: 0%;
        transform: translateX(0%);
        margin-left: 20px;
    }

    #about-content-container h2, #about-content-container p {
        text-align: left;
    }
    
}

@media screen and (min-width: 1200px){

    #highlights {
        grid-template-columns: 33.33% 33.33% 33.33%;
    }

}


/* #endregion */